package it.uniroma3.plasm;

import java.util.logging.Logger;

import org.eclipse.core.runtime.IPluginDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;

/**
 * The main plugin class to be used in the desktop.
 * 
 * this class is a singleton class. it's the entry point for the Plasm Process
 * 
 * @version $Id: PlasmPlugin.java,v 1.9 2005/10/08 11:20:57 ema_sab Exp $
 * @author giupo
 *  
 */
public class PlasmPlugin extends AbstractUIPlugin {
	//The shared instance.
	private static PlasmPlugin plugin;

	private Logger log;
	/**
	 * The constructor.
	 */
	public PlasmPlugin(IPluginDescriptor descriptor) {

		//NOTE: DO NOT, DO NOT remove the IPluginDescriptor, neither the
		//super(descriptor) call
		//until the API refactorings are completely approved from the Eclipse
		//consortium otherwise nothing
		//will work
		
		super(descriptor);
		plugin = this;
		log = Logger.getLogger(this.getClass().getName());
	}

	/**
	 * Returns the shared instance.
	 */
	public static PlasmPlugin getDefault() {
		return plugin;
	}
}